program Kinetika;
uses crt;
type vector=array [1..3] of real;
const Ca0=0.55;
      Cb0=0;
      Cc0=0;
      Kt: vector = (0.5, 0.2, 0.1);
      E: vector=(24, 20, 16.5);
      T: vector=(573, 583, 593);
      Ttkon=10.0; {筮 ६}
      h=1.0; {蠣}
      r=0.001987; {㭨.  ﭭ}

var ft:text;
    k,k0,C,F:vector;
    tt:real;
    n,i,j,l,jj:integer;

begin
 clrscr;
 writeln (' ⨪ 娬᪮ ॠ樨');
 writeln (' ENTER  த...');
 readln;

 assign (ft,'kinetika.txt');
 {$I-} {⪫ ஫ 訡 -뢮}
 rewrite (ft);
 {$I+}
 if IoResult<>0 then begin
  writeln ('   䠩 kinetika.txt  ');
  writeln (' ENTER  室  ணࠬ...');
  readln;
  halt (2);
 end;

 n:=Trunc( Int(Ttkon/h)); {᫮ 蠣}

 for i:=1 to 3 do
  k0[i]:=Kt[i]*exp(E[i]/(r*T[2]));

 writeln (ft,'  ⨪  娬᪮ ॠ樨');
 for j:=1 to 3 do begin
  writeln (ft,' j':6,'':12,'६':6,'⠭ (K)':27,
   '業樨 (C)':27);

  for i:=1 to 3 do
   k[i]:=k0[i]*exp(-E[i]/(r*T[j]));
  tt:=0.0;
  jj:=0;
  C[1]:=Ca0; C[2]:=Cb0; C[3]:=Cc0;

  write (ft,j:6,T[j]:12:3,tt:6:2);
  for l:=1 to 3 do write (ft,K[l]:9:6);
  for l:=1 to 3 do write (ft,C[l]:9:6);
  writeln(ft);

  repeat {  ६}
   tt:=tt+h;
   jj:=jj+1;
   {ࠢ  ࠢ:}
   F[1]:=-k[1]*C[1]+k[2]*C[2];
   F[2]:=k[1]*C[1]-k[2]*C[2]-k[3]*C[2];
   F[3]:=k[3]*C[2];
   {騥 祭 業樨:}
   for i:=1 to 3 do
    c[i]:=c[i]+h*F[i];

   writeln (ft,' ':18,tt:6:1,' ':27,C[1]:9:6,C[2]:9:6,C[3]:9:6);
   if jj=n then begin
    jj:=0;
   end;
  until tt>=Ttkon;

 end;
 close (ft);
 writeln (' ࠡ -  䠩 KINETIKA.TXT');
 writeln (' ENTER  室  ணࠬ...');
 readln;
end.
